# i18n-calypso CLI

Scans your JavaScript sources/build files and generates a POT file or a PHP translation file which can be understood by the GlotPress plugin.

## Installation

`npm install i18n-calypso-cli`


## Using the CLI

- `npm install -g i18n-calypso-cli`
- `i18n-calypso -i <input_file> -o <output_file> -f <format:POT|PHP>`


## From your code

```js
var i18nCalypso = require( 'i18n-calypso-cli' );
i18nCalypso( {
    inputPaths: <paths to your js files to scan>,
    output: <path to your destination>
    format: <format of the output: POT, PHP or JSON>
    projectName: <Meta information about the project which can be used for autogenerated headers>
} );
```

See more examples of usage in `test/index.js`

## License

GlotPress.js is licensed under [GNU General Public License v2 (or later)](./LICENSE.md).
